Emitted when a ModelReference is disposed.

### Hierarchy

- ReferenceDisposedEvent

### Implements

- IConvergenceEvent

## Index

### Constructors

- constructor

### Properties

- name
- src
- NAME

## Constructors

### constructor

- new ReferenceDisposedEvent(src: ModelReference<any>): ReferenceDisposedEvent

- #### Parameters

  - ##### src: ModelReference<any>

  #### Returns ReferenceDisposedEvent

## Properties

### name

name: string = ReferenceDisposedEvent.NAME

Implementation of IConvergenceEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### src

src: ModelReference<any>

The underlying reference that was disposed.

### StaticNAME

NAME: "disposed" = "disposed"